List summary of Inventory
curl --request GET \
--url https://api.anchorage-staging.com/v2/tax/inventory/summary/{subaccountId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/tax/inventory/summary/{subaccountId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/tax/inventory/summary/{subaccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"assetType": "BTC",
"quantity": "5.5",
"costBasis": "2500.23"
},
{
"assetType": "BTC",
"quantity": "53.5",
"costBasis": "3600.23"
}
]
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List summary of Inventory
Permissions required: Subaccount
List user’s inventory summary for all assets.
GET
/
tax
/
inventory
/
summary
/
{subaccountId}
List summary of Inventory
curl --request GET \
--url https://api.anchorage-staging.com/v2/tax/inventory/summary/{subaccountId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/tax/inventory/summary/{subaccountId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/tax/inventory/summary/{subaccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"assetType": "BTC",
"quantity": "5.5",
"costBasis": "2500.23"
},
{
"assetType": "BTC",
"quantity": "53.5",
"costBasis": "3600.23"
}
]
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The ID of the subaccount
Query Parameters
Number of results
Required range:
x >= 0Offset of the results to start
Required range:
x >= 0Response
Successfully returned the inventory summary
Show child attributes
Show child attributes
Example:
[
{
"assetType": "BTC",
"quantity": "5.5",
"costBasis": "2500.23"
},
{
"assetType": "BTC",
"quantity": "53.5",
"costBasis": "3600.23"
}
]
Was this page helpful?